# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-File-Copy-Recursive-Reduced
Version:	0.008
Release:	1.%{__distinit}%{__distvers}
Summary:	Recursive copying of files and directories within Perl 5 toolchain
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/File-Copy-Recursive-Reduced
Source0:	https://cpan.metacpan.org/modules/by-module/File/File-Copy-Recursive-Reduced-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Capture::Tiny)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(lib)
BuildRequires:	perl(Path::Tiny)
BuildRequires:	perl(Test::More) >= 0.44
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This library is intended as a not-quite-drop-in replacement for certain
functionality provided by CPAN distribution File-Copy-Recursive. The library
provides methods similar enough to that distribution's fcopy() and dircopy()
functions to be usable in those CPAN distributions often described as being
part of the Perl toolchain.

%prep
%setup -q -n File-Copy-Recursive-Reduced-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README Todo
%{perl_vendorlib}/File/
%{_mandir}/man3/File::Copy::Recursive::Reduced.3*

%changelog
* Mon Mar 25 2024 Paul Howarth <paul@city-fan.org> - 0.008-1
- Update to 0.008
  - Encoding directive added to POD
  - Corrections in test files to guard against CPANtesters who run tests with
    PERL_AUTHOR_TESTING turned on

* Sat Sep 16 2023 Paul Howarth <paul@city-fan.org> - 0.007-1
- Update to 0.007
  - Corrections in tests to better accommodate Windows path separators

* Sun Jul 16 2023 Paul Howarth <paul@city-fan.org> - 0.006-17
- Use SPDX-format license tag
- Use %%license unconditionally

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 0.006-5
- Perl 5.30 rebuild

* Tue Apr 24 2018 Paul Howarth <paul@city-fan.org> - 0.006-1
- Update to 0.006
  - File::Copy::Recursive 0.41 has been released to CPAN and addresses the
    problem which was the focus of File::Copy::Recursive::Reduced; Hence, FCR2
    is now feature-complete

* Fri Apr 20 2018 Paul Howarth <paul@city-fan.org> - 0.005-1
- Update to 0.005
  - Introduce rcopy(), a stripped-down replacement for
    File::Copy::Recursive::rcopy()
  - Implement copying of symlinks within all three public functions; at this
    point we should be able to make substitutions for File::Copy::Recursive's
    fcopy(), dircopy() and rcopy() functions in a large proportion of toolchain
    libraries, particularly in test suites

* Wed Apr 18 2018 Paul Howarth <paul@city-fan.org> - 0.003-1
- Initial RPM version
